--------------------
-----FactoriOOO-----
--------------------

----------------------------------------------------------------------------------------------------

------------------------
-------START PACK-------
------------------------

--ITEMS
require("prototypes.!!!start-pack.items.rescue-set")
require("prototypes.!!!start-pack.items.factorio-pack")

--ENTITIES
require("prototypes.!!!start-pack.entities.rescue-set.parachute-rs")
require("prototypes.!!!start-pack.entities.rescue-set.life-raft-rs")
require("prototypes.!!!start-pack.entities.rescue-set.fire-axe-rs")
require("prototypes.!!!start-pack.entities.rescue-set.flare-pistol-rs")
require("prototypes.!!!start-pack.entities.rescue-set.flares-patron-rs")
---
require("prototypes.!!!start-pack.entities.factorio-pack.wooden-crate-fp")
require("prototypes.!!!start-pack.entities.factorio-pack.factorio-tablet-fp")
require("prototypes.!!!start-pack.entities.factorio-pack.mining-drill-fp")
require("prototypes.!!!start-pack.entities.factorio-pack.furnace-fp")
require("prototypes.!!!start-pack.entities.factorio-pack.assembling-machine-fp")
require("prototypes.!!!start-pack.entities.factorio-pack.offshore-pump-fp")
require("prototypes.!!!start-pack.entities.factorio-pack.science-lab-fp")
----------------------------------------------------------------------------------------------------

--CHANGES THE DEFAULT
require("prototypes.!changes.player")
require("prototypes.!changes.technology")
require("prototypes.!changes.recipes")
----------------------------------------------------------------------------------------------------

--------------------------
-------TECHNOLOGIES-------
--------------------------

--TECHNOLOGIES
require("prototypes.technologies.!start")
require("prototypes.technologies.factories")
require("prototypes.technologies.fluids")
require("prototypes.technologies.energy")
require("prototypes.technologies.logistics")
require("prototypes.technologies.transport")
require("prototypes.technologies.military")
require("prototypes.technologies.armor")
require("prototypes.technologies.robotics")

--TECHNOLOGIES EFFECTIVITY

require("prototypes.technologies.research-effectivity.!research-effectivity")
require("prototypes.technologies.research-effectivity.bullet-upgrades")
require("prototypes.technologies.research-effectivity.combat-robots")
require("prototypes.technologies.research-effectivity.equipment")
require("prototypes.technologies.research-effectivity.gun-turret-upgrades")
require("prototypes.technologies.research-effectivity.laser-turret-upgrades")
require("prototypes.technologies.research-effectivity.research-effectivity")
require("prototypes.technologies.research-effectivity.robot-speed")
require("prototypes.technologies.research-effectivity.rocket-upgrades")
require("prototypes.technologies.research-effectivity.shotgun-shell-upgrades")
----------------------------------------------------------------------------------------------------

--CATEGORIES
require("prototypes.categories.resource-category")
require("prototypes.categories.recipe-category")
require("prototypes.categories.item-groups")
require("prototypes.categories.ammo-category")


---------------------------
--TEMP (temporary solution)
require("prototypes.temp") 
---------------------------

------------------------------------
-------RESOURCES & COMPONENTS-------
------------------------------------

--ENTITIES
require("prototypes.entities.trees.demo-trees")  --trees  DF
require("prototypes.entities.basic-solid.demo-resources")  --coal, iron, coopper, stone  DF
--require("prototypes.entities.basic-solid.demo-resources-2")
--require("prototypes.entities.basic-solid.demo-resources-3")
require("prototypes.entities.basic-fluid.resources") --crude-oil  DF
--require("prototypes.entities.basic-fluid.resources-2")
--require("prototypes.entities.basic-fluid.resources-3")
require("prototypes.entities.basic-fluid.fluids")
require("prototypes.entities.basic-fluid.oil-production")

--ITEMS
require("prototypes.items.basic-solid.coal-ore")
require("prototypes.items.basic-solid.iron-ore")
require("prototypes.items.basic-solid.copper-ore")
require("prototypes.items.basic-solid.stone-ore")
require("prototypes.items.basic-fluid.oil-production")
require("prototypes.items.basic-fluid.fluids")

require("prototypes.items.pallets")


require("prototypes.items.woodworking")
require("prototypes.items.metallurgy")
require("prototypes.items.science-packs")

--RECIPES
require("prototypes.recipes.basic-solid.coal-ore")
require("prototypes.recipes.basic-solid.iron-ore")
require("prototypes.recipes.basic-solid.copper-ore")
require("prototypes.recipes.basic-solid.stone-ore")
require("prototypes.recipes.basic-fluid.oil-production")
require("prototypes.recipes.basic-fluid.fluids")

require("prototypes.recipes.woodworking")
require("prototypes.recipes.metallurgy")
require("prototypes.recipes.science-packs")
----------------------------------------------------------------------------------------------------

-------------------------------
-------ASSEMBLY MACHINES-------
-------------------------------

--ENTITIES
require("prototypes.entities.factories.sawmill-machine")
require("prototypes.entities.factories.crushing-machine")
require("prototypes.entities.factories.furnace")
require("prototypes.entities.factories.assembling-machine")
require("prototypes.entities.factories.pumpjack") --
require("prototypes.entities.factories.oil-processing")

--ITEMS
require("prototypes.items.handmade")
require("prototypes.items.factories.factories")

--RECIPES
require("prototypes.recipes.handmade")
require("prototypes.recipes.factories.factories")

----------------------------------------------------------------------------------------------------
--OTHERS

--ENTITIES
require("prototypes.entities.pallets")

--ITEMS
require("prototypes.items.pallets")

--RECIPES
require("prototypes.recipes.pallets")
