data:extend(
{

	{
    type = "lab",
    name = "science-lab-fp",
    icon = "__base__/graphics/icons/lab.png",
    flags = {"placeable-player", "player-creation"},
    minable = {hardness = 0.0, mining_time = 2.0, result = "science-lab-fp"},
    max_health = 50,
    corpse = "big-remnants",
    dying_explosion = "massive-explosion",
    collision_box = {{-1.2, -1.2}, {1.2, 1.2}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    light = {intensity = 0.75, size = 8},
    on_animation =
    {
      filename = "__base__/graphics/entity/lab/lab.png",
      width = 113,
      height = 91,
      frame_count = 33,
      line_length = 11,
      animation_speed = 1 / 3,
      shift = {0.2, 0.15}
    },
    off_animation =
    {
      filename = "__base__/graphics/entity/lab/lab.png",
      width = 113,
      height = 91,
      frame_count = 1,
      shift = {0.2, 0.15}
    },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/lab.ogg",
        volume = 0.7
      },
      apparent_volume = 1.5
    },
    energy_source =
    {
      type = "burner",
      effectivity = 1,
      fuel_inventory_size = 1,
      smoke =
      {
        {
          name = "smoke",
          deviation = {0.1, 0.1},
          frequency = 0.3
        }
      }
    },

    energy_usage = "60kW",
    inputs =
    {
	 "science-pack-0",
     "science-pack-1"
    },
    module_slots = 1,
    max_entity_info_module_icons_per_row = 3,
    max_entity_info_module_icon_rows = 1,
    module_info_icon_shift = {0, 0.9}
  },
  
}
)