data:extend(
{ 
--ROW1
 	{ type = "recipe", name = "raw-wood-for-log-handmade",
	icon = "__base__/graphics/icons/raw-wood.png",
    category = "handmade", 
	subgroup = "handmade-row1", order = "a",
	energy_required = 10, enabled = true,
    ingredients = {
      {type="item", name="raw-wood", amount=1},
    },
    results= {
	  {type="item", name="log", amount_min = 3, amount_max = 4, probability = 1},
      {type="item", name="branche", amount_min = 11, amount_max = 16, probability = 1},
	  --{type="item", name="sawdust", amount_min = 1, amount_max = 2, probability = 1}
    }
    },	
	
   { type = "recipe", name = "log-for-small-log-handmade",
	icon = "__base__/graphics/icons/raw-wood.png",
    category = "handmade", 
	subgroup = "handmade-row1", order = "b",
	energy_required = 10, enabled = true,
    ingredients = {
      {type="item", name="log", amount=1},
    },
    results= {
	  {type="item", name="small-log", amount_min = 3, amount_max = 4, probability = 1},
    }
    },
	
	{ type = "recipe", name = "small-log-for-firewood-handmade",
	icon = "__base__/graphics/icons/raw-wood.png",
    category = "handmade", 
	subgroup = "handmade-row1", order = "c",
	energy_required = 10, enabled = true,
    ingredients = {
      {type="item", name="small-log", amount=1},
    },
    results= {
	  {type="item", name="firewood", amount_min = 1, amount_max = 2, probability = 1},
	  --{type="item", name="sawdust", amount_min = 1, amount_max = 2, probability = 1}
    }
    },
----------------------------------------------------------------------------------------------------
--ROW2	
  	{ type = "recipe", name = "raw-coal-ore-for-coal-ore-clean-handmade",
	icon = "__base__/graphics/icons/coal.png",
    category = "handmade", 
	subgroup = "handmade-row2", order = "a",
	energy_required = 10, enabled = true,
    ingredients = {
      {type="item", name="raw-coal-ore", amount=1},
    },
    results= {
      {type="item", name="coal-ore-clean", amount_min=1, amount_max=2, probability=0.8},
	  {type="item", name="waste-rock", amount_min=1, amount_max=2, probability=1.0},
    }
    },	
	  	{ type = "recipe", name = "raw-iron-ore-for-iron-ore-clean-handmade",
	icon = "__base__/graphics/icons/iron-ore.png",
    category = "handmade", 
	subgroup = "handmade-row2", order = "b",
	energy_required = 10, enabled = true,
    ingredients = {
      {type="item", name="raw-iron-ore", amount=1},
    },
    results= {
      {type="item", name="iron-ore-clean", amount_min=1, amount_max=2, probability=0.8},
	  {type="item", name="waste-rock", amount_min=1, amount_max=2, probability=1.0},
    }
    },	
	  	{ type = "recipe", name = "raw-copper-ore-for-copper-ore-clean-handmade",
	icon = "__base__/graphics/icons/copper-ore.png",
    category = "handmade", 
	subgroup = "handmade-row2", order = "c",
	energy_required = 10, enabled = true,
    ingredients = {
      {type="item", name="raw-copper-ore", amount=1},
    },
    results= {
      {type="item", name="copper-ore-clean", amount_min=1, amount_max=2, probability=0.8},
	  {type="item", name="waste-rock", amount_min=1, amount_max=2, probability=1.0},
    }
    },	
	  	{ type = "recipe", name = "raw-stone-ore-for-stone-ore-clean-handmade",
	icon = "__base__/graphics/icons/stone.png",
    category = "handmade", 
	subgroup = "handmade-row2", order = "d",
	energy_required = 10, enabled = true,
    ingredients = {
      {type="item", name="raw-stone-ore", amount=1},
    },
    results= {
      {type="item", name="stone-ore-clean", amount_min=1, amount_max=2, probability=0.8},
	  {type="item", name="waste-rock", amount_min=1, amount_max=2, probability=1.0},
    }
    },	
	
----------------------------------------------------------------------------------------------------
--ROW3
	{ type = "recipe", name = "wooden-chest",  --flooring wood (logs)
	icon = "__base__/graphics/icons/wooden-chest.png",
    category = "handmade",
	energy_required = 10, enabled = true,
	subgroup = "handmade-row3", order = "a",
    ingredients = {
      {type="item", name="log", amount=5},
    },
    results= {
	  {type="item", name="wooden-chest", amount = 1, probability = 1},
    }
    },
----------------------------------------------------------------------------------------------------
--ROW4
	{type = "recipe", name = "coal-ore-powder-handmade",
	energy_required = 10, enabled = true, 
	    category = "handmade",
	subgroup = "handmade-row4", order = "b",
	ingredients = {{"coal-ore-clean", 1}}, 
	result = "coal-ore-powder", result_count = 1},
	
	{type = "recipe",name = "iron-ore-powder-handmade",
	energy_required = 10, enabled = true, 
	    category = "handmade",
		subgroup = "handmade-row4", order = "c",
	ingredients = {{"iron-ore-clean", 1}},
	result = "iron-ore-powder", result_count = 1},
	
	{type = "recipe",name = "copper-ore-powder-handmade",
	energy_required = 10, 	enabled = true, 
	    category = "handmade",
		subgroup = "handmade-row4", order = "d",
	ingredients = {{"copper-ore-clean", 1}},
	result = "copper-ore-powder", result_count = 1},
	
	{type = "recipe",name = "stone-ore-powder-handmade",
	energy_required = 10, 	enabled = true, 
	    category = "handmade",
		subgroup = "handmade-row4", order = "e",
	ingredients = {{"stone-ore-clean", 1}},
	result = "stone-ore-powder", result_count = 1},
	
----------------------------------------------------------------------------------------------------
--ROW4 

 {
    type = "recipe", name = "science-pack-0-handmade",
	category = "handmade", energy_required = 10, 
	enabled = true,
	subgroup = "handmade-row5", order = "a",
    ingredients =
    { 
      {"coal-ore-powder", 1},
      {"iron-ore-powder", 1},
	  {"copper-ore-powder", 1},
      {"stone-ore-powder", 1}
    },

    result = "science-pack-0"
  },
  
  
}
)