data:extend(
{

	{ type = "recipe", name = "waste-rock-processing",
	icon = "__base__/graphics/icons/stone.png",
    category = "ore-processing", subgroup = "ore-processing-row1",
	energy_required = 10, enabled = false,
    ingredients = {
      {type="item", name="waste-rock", amount=1},
    },
    results = {
      {type="item", name="stone", amount_min=1, amount_max=2, probability=1},
	  --{type="item", name="waste-rock", amount_min=1, amount_max=2, probability=0.6},
    }
    },

	
	
		{ type = "recipe", name = "coal",
	icon = "__base__/graphics/icons/coal.png",
    category = "smelting", subgroup = "ore-processing-row1",
	energy_required = 10, enabled = false,
    ingredients = {
      {type="item", name="coal-ore-clean", amount=2},
    },
    results = {
      {type="item", name="coal", amount=1, probability=1},
    }
    },
	
			{ type = "recipe", name = "iron-plate",
	icon = "__base__/graphics/icons/iron-plate.png",
    category = "smelting", subgroup = "ore-processing-row1",
	energy_required = 10, enabled = false,
    ingredients = {
      {type="item", name="iron-ore-clean", amount=2},
    },
    results = {
      {type="item", name="iron-plate", amount=1, probability=1},
    }
    },
	
				{ type = "recipe", name = "copper-brick",
	icon = "__base__/graphics/icons/copper-plate.png",
    category = "smelting", subgroup = "ore-processing-row1",
	energy_required = 10, enabled = false,
    ingredients = {
      {type="item", name="copper-ore-clean", amount=2},
    },
    results = {
      {type="item", name="copper-plate", amount=1, probability=1},
    }
    },
	
					{ type = "recipe", name = "stone",
	icon = "__base__/graphics/icons/stone-brick.png",
    category = "smelting", subgroup = "ore-processing-row1",
	energy_required = 10, enabled = false,
    ingredients = {
      {type="item", name="stone-ore-clean", amount=2},
    },
    results = {
      {type="item", name="stone", amount=1, probability=1},
    }
    },

	
	--[[
	--COAL
	{type = "recipe", name = "small-coal-brick",
	energy_required = 5.0, 
	enabled = false, 
	ingredients = {{"coal-ore-clean", 2}},
	result = "small-coal-brick", result_count = 1},
	
	{type = "recipe", name = "coal-brick",
	energy_required = 5.0, 
	enabled = false, 
	ingredients = {{"small-coal-brick", 2}}, 
	result = "coal-brick", result_count = 1},
	
	--IRON
	{type = "recipe", name = "small-iron-plate",
	category = "smelting", energy_required = 5.0, 
	enabled = false, 
	ingredients = {{"iron-ore-clean", 2}}, 
	result = "small-iron-plate", result_count = 1},
	
	{type = "recipe",name = "iron-plate",
	category = "smelting", energy_required = 5.0, 
	enabled = false, 
	ingredients = {{"small-iron-plate", 2}},
	result = "iron-plate", result_count = 1},
	
	--COPPER
	{type = "recipe", name = "small-copper-plate",
	category = "smelting", energy_required = 5.0,
	enabled = false, 
	ingredients = {{ "copper-ore-clean", 2}}, 
	result = "small-copper-plate", result_count = 1},
	
	{type = "recipe", name = "copper-plate",
	category = "smelting", energy_required = 5.0, 
	enabled = false, 
	ingredients = {{"small-copper-plate", 2}}, 
	result = "copper-plate", result_count = 1},
	
	--STONE
	{type = "recipe", name = "small-stone-brick",
	category = "smelting", energy_required = 5.0, 
	enabled = false, 
	ingredients = {{"stone-ore-clean", 2}}, 
	result = "small-stone-brick", result_count = 1},
	
	{type = "recipe", name = "stone-brick",
	category = "smelting", energy_required = 5.0,
	enabled = false, 
	ingredients = {{"small-stone-brick", 2}}, 
	result = "stone-brick", result_count = 1},
	--]]
	
	--STEEL
	{type = "recipe", name = "steel-plate",
	category = "smelting", energy_required = 17.5, --17.5,
	enabled = false, 
	ingredients = {{"iron-plate", 5}}, --5 
	result = "steel-plate", result_count = 1},
	
}
)
