data:extend(
{
     --assembling-machine
	 {type = "technology", name = "automation-1",
     icon = "__base__/graphics/technology/automation.png",
	 prerequisites = {"automation-0"},
     effects = {{type = "unlock-recipe", recipe = "assembling-machine-1"}},
     unit ={count = 40,ingredients = {{"science-pack-1", 2}},time = 30},order = "a-c-a",},	 
	 {type = "technology", name = "automation-2",
     icon = "__base__/graphics/technology/automation.png",
	 prerequisites = {"automation-1"},
     effects = {{type = "unlock-recipe", recipe = "assembling-machine-2"}},
     unit ={count = 40,ingredients = {{"science-pack-1", 2}},time = 30},order = "a-c-a",},
	 {type = "technology", name = "automation-3",
     icon = "__base__/graphics/technology/automation.png",
	 prerequisites = {"automation-2"},
     effects ={{type = "unlock-recipe",recipe = "assembling-machine-3"}},
     unit ={count = 100,ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}, {"science-pack-3", 1}},time = 60},order = "a-c-a"},
	  
	 --LABS
	 {type = "technology", name = "labs-1",
     icon = "__FactoriOOO__/graphics/technology/labs.png",
	 prerequisites = {"automation-1"},
     effects = {{type = "unlock-recipe", recipe = "lab"}},
     unit ={count = 40,ingredients = {{"science-pack-1", 2}},time = 30},order = "a-c-b",},	 
	 {type = "technology", name = "labs-2",
     icon = "__FactoriOOO__/graphics/technology/labs.png",
	 prerequisites = {"labs-1"},
     effects = {{type = "unlock-recipe", recipe = "lab"}},
     unit ={count = 40,ingredients = {{"science-pack-1", 2}},time = 30},order = "a-c-b",},	 
	 {type = "technology", name = "labs-3",
     icon = "__FactoriOOO__/graphics/technology/labs.png",
	 prerequisites = {"labs-2"},
     effects = {{type = "unlock-recipe", recipe = "lab"}},
     unit ={count = 40,ingredients = {{"science-pack-1", 2}},time = 30},order = "a-c-b",},	
	 
	 
	 --tool-extraction
	 { type = "technology", name = "tool-extraction-1",
    icon = "__base__/graphics/technology/advanced-material-processing.png",
    effects = {{type = "unlock-recipe",recipe = "burner-mining-drill"}},
    prerequisites = {"automation-1"},
    unit ={count = 100,ingredients ={{"science-pack-1", 1},{"science-pack-2", 1},},time = 30},order = "a-c-c"},
	{ type = "technology", name = "tool-extraction-2",
    icon = "__base__/graphics/technology/advanced-material-processing.png",
    effects = {{type = "unlock-recipe",recipe = "basic-mining-drill"}},
    prerequisites = {"tool-extraction-1"},
    unit ={count = 100,ingredients ={{"science-pack-1", 1},{"science-pack-2", 1},},time = 30},order = "a-c-c"},
	{ type = "technology", name = "tool-extraction-3",
    icon = "__base__/graphics/technology/advanced-material-processing.png",
    effects = {{type = "unlock-recipe",recipe = "basic-mining-drill"}},
    prerequisites = {"tool-extraction-2"},
    unit ={count = 100,ingredients ={{"science-pack-1", 1},{"science-pack-2", 1},},time = 30},order = "a-c-c"},
	
	
	 --INDUSTRIAL OVENS
	 {type = "technology", name = "advanced-material-processing-1",
     icon = "__base__/graphics/technology/advanced-material-processing.png",
     effects = {{type = "unlock-recipe",recipe = "stone-furnace"}},
     prerequisites = {"automation-1"},
     unit ={count = 50, ingredients ={{"science-pack-1", 1},{"science-pack-2", 1},},time = 30},order = "a-c-d"},
     {type = "technology", name = "advanced-material-processing-2",
     icon = "__base__/graphics/technology/advanced-material-processing.png",
     effects = {{type = "unlock-recipe",recipe = "steel-furnace"}},
     prerequisites = {"advanced-material-processing-1"},
     unit = {count = 100, ingredients ={{"science-pack-1", 1},{"science-pack-2", 1},},time = 30},order = "a-c-d"},
	 {type = "technology", name = "advanced-material-processing-3",
     icon = "__base__/graphics/technology/advanced-material-processing.png",
     effects = {{type = "unlock-recipe",recipe = "electric-furnace"}},
     prerequisites = {"advanced-material-processing-2"},
     unit = {count = 100, ingredients ={{"science-pack-1", 1},{"science-pack-2", 1},},time = 30},order = "a-c-d"},
	
	
	 --WOOD
	 {type = "technology", name = "automation-woodworking-1",
     icon = "__FactoriOOO__/graphics/technology/!automation-woodworking.png",
	 prerequisites = {"automation-1"},
     effects = {{type = "unlock-recipe",recipe = "assembling-machine-1"}},
     unit = {count = 10,ingredients = {{"science-pack-1", 1}},time = 10 }, order = "a-c-e", },   
	 {type = "technology", name = "automation-woodworking-2",
     icon = "__FactoriOOO__/graphics/technology/!automation-woodworking.png",
	 prerequisites = {"automation-woodworking-1"},
     effects = {{type = "unlock-recipe",recipe = "assembling-machine-1"}},
     unit = {count = 10,ingredients = {{"science-pack-1", 1}},time = 10 }, order = "a-c-e", }, 
	 {type = "technology", name = "automation-woodworking-3",
     icon = "__FactoriOOO__/graphics/technology/!automation-woodworking.png",
	 prerequisites = {"automation-woodworking-2"},
     effects = {{type = "unlock-recipe",recipe = "assembling-machine-1"}},
     unit = {count = 10,ingredients = {{"science-pack-1", 1}},time = 10 }, order = "a-c-e", }, 

		
  }
  )