 data:extend(
{
     {type = "technology",name = "military-1",
     icon = "__base__/graphics/technology/military.png",
	 prerequisites = {"automation-1"},
     effects = {{type = "unlock-recipe", recipe = "pistol"},{type = "unlock-recipe", recipe = "basic-bullet-magazine"},
	 {type = "unlock-recipe", recipe = "shotgun"},{type = "unlock-recipe", recipe = "shotgun-shell"},
	 {type = "unlock-recipe",recipe = "radar"}},
     unit = { count = 2, ingredients = {{"science-pack-1", 1}}, time = 2 }, order = "b-a-a" }, --10 & 15
     {type = "technology",name = "military-2",
     icon = "__base__/graphics/technology/military.png",
     effects = {{type = "unlock-recipe",recipe = "land-mine"},{type = "unlock-recipe", recipe = "basic-grenade"},
	 {type = "unlock-recipe", recipe = "poison-capsule"},{type = "unlock-recipe", recipe = "slowdown-capsule"}},
     prerequisites = {"military-1","explosives"},
     unit = { count = 20, ingredients = { {"science-pack-1", 1}, {"science-pack-2", 1} }, time = 15 }, order = "b-a-a" },
     {type = "technology",name = "military-3",
     icon = "__base__/graphics/technology/military.png",
     effects = {
     --[[    {type = "unlock-recipe",recipe = "railgun"},{type = "unlock-recipe",recipe = "railgun-dart"},    ]]--
     {type = "unlock-recipe", recipe = "submachine-gun"},{type = "unlock-recipe",recipe = "combat-shotgun"},
	 {type = "unlock-recipe",recipe = "rocket-launcher"},{type = "unlock-recipe",recipe = "rocket"},
	 {type = "unlock-recipe",recipe = "flame-thrower"},{type = "unlock-recipe",recipe = "flame-thrower-ammo"}},
     prerequisites = {"military-2","flammables","rocketry"},
     unit = { count = 50, ingredients = { {"science-pack-1", 1}, {"science-pack-2", 2}, {"science-pack-3", 1} }, time = 30 }, order = "b-a-a" },
	 {type = "technology",name = "military-4",
     icon = "__base__/graphics/technology/military.png",
     effects ={{type = "unlock-recipe",recipe = "piercing-bullet-magazine"},{type = "unlock-recipe",recipe = "piercing-shotgun-shell"},
	 {type = "unlock-recipe",recipe = "explosive-rocket"},
	 {type = "unlock-recipe", recipe = "defender-capsule"},{type = "unlock-recipe", recipe = "distractor-capsule"},{type = "unlock-recipe", recipe = "destroyer-capsule"}},
     prerequisites = {"military-3"},unit ={count = 300,ingredients ={{"science-pack-1", 1},{"science-pack-2",2},{"science-pack-3", 1}, 
	 {"alien-science-pack", 1}, }, time = 60 }, order = "b-a-a" },
	 
	 
	 
	 {type = "technology",name = "fence-1",
     icon = "__base__/graphics/technology/stone-walls.png",
	 prerequisites = {"military-1"},
     effects ={{type = "unlock-recipe",recipe = "stone-wall"},{type = "unlock-recipe",recipe = "gate"}},
     unit ={count = 50,ingredients = {{"science-pack-1", 1},{"science-pack-2", 1}},time = 50},order = "b-a-a"},
	 
	 
	 
     {type = "technology", name = "turrets",
     icon = "__base__/graphics/technology/turrets.png",
	 prerequisites = {"military-1"},
     effects ={{type = "unlock-recipe",recipe = "gun-turret"}},
     unit = {count = 50, ingredients = {{"science-pack-1", 1},{"science-pack-2", 1}},time = 30},order = "b-a-a"},
     {type = "technology", name = "laser-turrets",
     icon = "__base__/graphics/technology/laser-turrets.png",
     effects = {{type = "unlock-recipe",recipe = "laser-turret"}},
     prerequisites = {"turrets"},
     unit = { count = 50,ingredients ={{"science-pack-1", 1},{"science-pack-2", 1}},time = 30}, order = "b-a-a"},
	
     {type = "technology",name = "rocketry",
     icon = "__base__/graphics/technology/rocketry.png",
     effects ={ },
     prerequisites = {"military-2","explosives"},
     unit ={count = 80,ingredients ={{"science-pack-1", 1},{"science-pack-2", 1}},time = 15},order = "b-a-a"},
 	 {type = "technology",name = "flammables",
     icon = "__base__/graphics/technology/flammables.png",
     prerequisites = {"oil-processing"},
     unit ={count = 60,ingredients ={{"science-pack-1", 1},{"science-pack-2", 1}},time = 15},order = "b-a-a"},


	 --[[
    {type = "technology",name = "rocket-travel",
    icon = "__base__/graphics/technology/rocket-travel.png",
    prerequisites = {"rocket-speed-2", "logistics-3"},
    enabled = false,
    unit =
    {
      count = 100,
      ingredients =
      {
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 2}
      },time = 15},order = "e-h"},--]]
    {type = "technology",name = "rocket-silo",
    icon = "__base__/graphics/technology/rocket-silo.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "rocket-silo"
      },
      {
        type = "unlock-recipe",
        recipe = "low-density-structure"
      },
      {
        type = "unlock-recipe",
        recipe = "rocket-fuel"
      },
      {
        type = "unlock-recipe",
        recipe = "rocket-control-unit"
      },
      {
        type = "unlock-recipe",
        recipe = "rocket-part"
      },
      {
        type = "unlock-recipe",
        recipe = "satellite"
      }
    },
    prerequisites = {"advanced-electronics-2", "rocketry", "speed-module-3", "productivity-module-3", "effectivity-module-3"},
    unit ={count = 1000,ingredients ={
        {"alien-science-pack", 1},
        {"science-pack-1", 1},
        {"science-pack-2", 1},
        {"science-pack-3", 1}
      },time = 60},order = "k-a"},
}
)
	  
	  
	  