data:extend(
{

     --START
     {type = "technology", name = "system-start",
     icon = "__FactoriOOO__/graphics/technology/!start-pc.png", 
	 effects ={},
	 unit = {count = 10, ingredients={}, time = 10},order = "a-a-a-a"},
	 
	 {type = "technology", name = "preliminary-calculations",
     icon = "__base__/graphics/technology/optics.png", 
	 effects ={},
	 prerequisites = {"system-start"},
     unit = {count = 10, ingredients = {{"science-pack-0", 1}}, time = 10}, order = "a-a-a-b",},
	 
	 {type = "technology", name = "primary-components",
     icon = "__base__/graphics/technology/electronics.png",
     effects ={
	 {type = "unlock-recipe", recipe = "coal"},
	 {type = "unlock-recipe", recipe = "iron-plate"},
	 {type = "unlock-recipe", recipe = "copper-plate"},
	 {type = "unlock-recipe", recipe = "stone"},

	 {type = "unlock-recipe", recipe = "electronic-circuit"},
	 {type = "unlock-recipe", recipe = "iron-stick"},
	 {type = "unlock-recipe", recipe = "iron-gear-wheel"},
	 {type = "unlock-recipe", recipe = "copper-cable"},
	 },
	 prerequisites = {"preliminary-calculations"},
     unit = {count = 10, ingredients = {{"science-pack-0", 1}},time = 10},order = "a-a-a-c",}, 
	 
	 {type = "technology", name = "automation-0",
     icon = "__base__/graphics/technology/automation.png",
	 prerequisites = {"primary-components"},
	 effects = { 
	 {type = "unlock-recipe", recipe = "lab"},
	 {type = "unlock-recipe", recipe = "burner-mining-drill"},{type = "unlock-recipe", recipe = "stone-furnace"},
	 {type = "unlock-recipe", recipe = "assembling-machine-1"}
	 },
     unit ={count = 10, ingredients = {{"science-pack-0", 1}},time = 10}, order = "a-a-a-d",},	
	 --[[
	 {type = "technology", name = "advanced-processing-1",
     icon = "__FactoriOOO__/graphics/technology/!resource-processing.png",
     effects = {}, prerequisites = {"automation-0"},
     unit = {count = 2, ingredients = {{"science-pack-1", 1}}, time = 2 }, order = "a-a-a-e"},
	 --]]

	 
	 
	 --ELECTRONICS		 
	 {type = "technology", name = "electronics",
     icon = "__base__/graphics/technology/electronics.png",
     effects ={{type = "unlock-recipe",recipe = "electronic-circuit"}},
	 prerequisites = {"automation-0"},
     unit = {count = 2, ingredients = {{"science-pack-0", 0}},time = 2},order = "a-a-b-a",}, --100 60 +sp2 !!	
	 {type = "technology", name = "advanced-electronics",
     icon = "__base__/graphics/technology/advanced-electronics.png",
     effects = {{type = "unlock-recipe", recipe = "advanced-circuit"}},
     prerequisites = {"electronics"}, --"oil-processing" !!
     unit = { count = 200, ingredients = { {"science-pack-0", 1}, {"science-pack-2", 1} }, time = 60 }, order = "a-a-b-b",},
	 {type = "technology", name = "advanced-electronics-2", 
	 icon = "__base__/graphics/technology/advanced-electronics-2.png",
	 effects = {{type = "unlock-recipe", recipe = "processing-unit"},{type = "unlock-recipe", recipe = "repair-pack"} },
     prerequisites = {"advanced-electronics"},
     unit = { count = 400, ingredients = { {"science-pack-0", 1}, {"science-pack-2", 1} }, time = 60 }, order = "a-a-b-c", },
	 {type = "technology", name = "circuit-network",
     icon = "__base__/graphics/technology/circuit-network.png",
     effects = {{type = "unlock-recipe", recipe = "smart-chest"},{type = "unlock-recipe", recipe = "red-wire"}, 
	 { type = "unlock-recipe", recipe = "green-wire"},{type = "unlock-recipe", recipe = "arithmetic-combinator"},
	 { type = "unlock-recipe", recipe = "decider-combinator"},{type = "unlock-recipe", recipe = "constant-combinator"}},
     prerequisites = {"advanced-electronics"},
     unit = { count = 100, ingredients = { {"science-pack-1", 1}, {"science-pack-2", 1} }, time = 60 }, order = "a-a-b-d",},
	 
	 --science-pack
     {type = "technology", name = "science-pack-1",
     icon = "__base__/graphics/technology/alien-technology.png",
     effects ={
	 {type = "unlock-recipe", recipe = "science-pack-1"},
	 {type = "unlock-recipe", recipe = "coal-ore-powder"},{type = "unlock-recipe", recipe = "iron-ore-powder"},
	 {type = "unlock-recipe", recipe = "copper-ore-powder"},{type = "unlock-recipe", recipe = "stone-ore-powder"}, 
	 },
	 prerequisites = {"automation-0"},
     unit ={count = 10, ingredients ={{"science-pack-0", 1}},time = 10}, order = "a-a-c-a"},
	 {type = "technology", name = "science-pack-2",
     icon = "__base__/graphics/technology/alien-technology.png",
     effects ={{type = "unlock-recipe", recipe = "science-pack-2"}},
	 prerequisites = {"science-pack-1"},
     unit ={count = 100, ingredients ={{"science-pack-2", 1}},time = 60},order = "a-a-c-a"},
	 {type = "technology", name = "science-pack-3",
     icon = "__base__/graphics/technology/alien-technology.png",
     effects ={{type = "unlock-recipe", recipe = "science-pack-3"}},
	 prerequisites = {"science-pack-2"},
     unit ={count = 200,ingredients ={{"science-pack-3", 1}},time = 60},order = "a-a-c-b"},
     {type = "technology", name = "science-pack-4", 
     icon = "__base__/graphics/technology/alien-technology.png",
     effects ={{type = "unlock-recipe", recipe = "alien-science-pack"}},
     prerequisites = {"science-pack-3"},
     unit ={count = 400, ingredients ={{"alien-science-pack", 1}},time = 60},order = "a-a-c-c"},
	 
	 --[[
     --ADVANCED PROCESSING
	 {type = "technology",name = "made-from-wood",
     icon = "__FactoriOOO__/graphics/technology/!wood.png",
     effects = {{type = "unlock-recipe", recipe = "log"},{type = "unlock-recipe", recipe = "wood-lumber"}},
	 prerequisites = {"advanced-processing-1"},
     unit = {count = 2, ingredients = {{"science-pack-0", 1}}, time = 2 }, order = "a-a-d-a"},
	 {type = "technology",name = "made-from-coal",
     icon = "__FactoriOOO__/graphics/technology/!coal.png",
     effects = {{type = "unlock-recipe", recipe = "small-coal-brick"},{type = "unlock-recipe", recipe = "coal-brick"}},
	 prerequisites = {"advanced-processing-1"},
     unit = {count = 2, ingredients = {{"science-pack-0", 1}}, time = 2 }, order = "a-a-d-b"}, 
	 {type = "technology",name = "made-from-iron",
     icon = "__FactoriOOO__/graphics/technology/!iron-ore.png",
     effects = {{type = "unlock-recipe", recipe = "small-iron-plate"},{type = "unlock-recipe", recipe = "iron-plate"}, 
	 {type = "unlock-recipe", recipe = "iron-stick"},{type = "unlock-recipe", recipe = "iron-gear-wheel"}},
	 prerequisites = {"advanced-processing-1"},
     unit = {count = 2, ingredients = {{"science-pack-0", 1}}, time = 2 }, order = "a-a-d-c"},
	 {type = "technology",name = "made-from-copper",
     icon = "__FactoriOOO__/graphics/technology/!copper-ore.png",
     effects = {{type = "unlock-recipe", recipe = "small-copper-plate"},{type = "unlock-recipe", recipe = "copper-plate"},
	{type = "unlock-recipe", recipe = "copper-cable"}},
	 prerequisites = {"advanced-processing-1"},
     unit = {count = 2, ingredients = {{"science-pack-0", 1}}, time = 2 }, order = "a-a-d-d"},
	 {type = "technology",name = "made-from-stone",
     icon = "__FactoriOOO__/graphics/technology/!stone.png",
     effects = {{type = "unlock-recipe", recipe = "small-stone-brick"},{type = "unlock-recipe", recipe = "stone-brick"}},
	 prerequisites = {"advanced-processing-1"},
     unit = {count = 2, ingredients = {{"science-pack-0", 1}}, time = 2 }, order = "a-a-d-e"},
--]]
	 
     --Processing
     {type = "technology", name = "steel-processing",
     icon = "__base__/graphics/technology/steel-processing.png",
     prerequisites = {"automation-0"},
	 effects = { { type = "unlock-recipe", recipe = "steel-plate" },{ type = "unlock-recipe", recipe = "steel-axe" }},
     unit =  { count = 2, ingredients = {{"science-pack-0", 1}}, time = 2 }, order = "a-a-d" }, --"science-pack-2"
	 {type = "technology", name = "plastics",
     icon = "__base__/graphics/technology/plastics.png",
     prerequisites = {"oil-processing"},
     effects = { { type = "unlock-recipe", recipe = "plastic-bar" } },
     unit = { count = 100, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30 }, order = "a-a-d" },
     {type = "technology", name = "sulfur-processing",
     icon = "__base__/graphics/technology/sulfur-processing.png",
     prerequisites = {"oil-processing"},
     effects = { { type = "unlock-recipe", recipe = "sulfuric-acid" },
	 {type = "unlock-recipe", recipe = "sulfur" } },
     unit = { count = 100, ingredients = {{"science-pack-1", 1}, {"science-pack-2", 1}}, time = 30 }, order = "a-a-d" },
     {type = "technology", name = "explosives",
     icon = "__base__/graphics/technology/explosives.png",
     prerequisites = {"sulfur-processing"},
     unit =  { count = 60, ingredients = { {"science-pack-1", 1}, {"science-pack-2", 1} }, time = 30 }, 
	 effects = { { type = "unlock-recipe", recipe = "explosives" } }, order = "a-a-d" },
	 {type = "technology", name = "concrete",
	 icon = "__base__/graphics/technology/concrete.png",
     prerequisites = {"automation-0"},
     unit = {count = 100,ingredients ={{"science-pack-1", 1},{"science-pack-2", 1},},time = 100},
     effects = {{type = "unlock-recipe", recipe = "concrete"}},order = "a-a-d"},
	 {type = "technology", name = "battery",
     icon = "__base__/graphics/technology/battery.png",
     prerequisites = {"sulfur-processing"},
     unit = {count = 50, ingredients ={{"science-pack-1", 1},{"science-pack-2", 1},},time = 30},
     effects =  {{type = "unlock-recipe", recipe = "battery"}},order = "a-a-d"},


	 
}
)