data:extend(
{
	{type = "technology", name = "engine",
	icon = "__base__/graphics/technology/engine.png",
    prerequisites = {"electronics"},
    unit = {count = 50,ingredients ={{"science-pack-1", 1},{"science-pack-2", 1},},time = 15},
    effects = {{type = "unlock-recipe",recipe = "engine-unit"}},order = "b-a"},
	
    {type = "technology", name = "electric-engine",
    icon = "__base__/graphics/technology/electric-engine.png",
    prerequisites = {"engine", "advanced-electronics", "oil-processing"},
    unit = {count = 50, ingredients = {{"science-pack-1", 1},{"science-pack-2", 1}, },time = 25},
    effects ={{type = "unlock-recipe",recipe = "electric-engine-unit"}},order = "b-b"},
----------------------------------------------------------------------------------------------------
    {type = "technology",name = "automobilism",
    icon = "__base__/graphics/technology/automobilism.png",
    prerequisites = {"engine"},
    effects ={{type = "unlock-recipe",recipe = "car"}},
    unit ={count = 100,ingredients ={{"science-pack-1", 2},{"science-pack-2", 1}},time = 20},order = "e-b"},
----------------------------------------------------------------------------------------------------
    {type = "technology",name = "tanks",
    icon = "__base__/graphics/technology/tanks.png",
    prerequisites = {"engine", "military-3"},
    effects ={{type = "unlock-recipe",recipe = "tank"},{type = "unlock-recipe",recipe = "cannon-shell"},
    {type = "unlock-recipe",recipe = "explosive-cannon-shell"}},
    unit ={count = 20,ingredients =
	{{"science-pack-1", 1},{"science-pack-2", 1},{"science-pack-3", 1}},time = 20},order = "e-c-c"},
----------------------------------------------------------------------------------------------------
	{type = "technology",name = "flying",
	icon = "__base__/graphics/technology/flying.png",
    prerequisites = {"electric-engine", "advanced-electronics"},
    unit ={count = 200,ingredients ={{"science-pack-1", 1},{"science-pack-2", 1}},time = 30},order = "c-h"},
----------------------------------------------------------------------------------------------------	
	{type = "technology", name = "railway-1",
    icon = "__base__/graphics/technology/railway.png",
    effects = {{type = "unlock-recipe", recipe = "straight-rail"},{type = "unlock-recipe", recipe = "curved-rail"},
	{ type = "unlock-recipe", recipe = "diesel-locomotive" } },
    prerequisites = {"logistics-1","steel-processing","engine"},
    unit =  { count = 70,ingredients = {{"science-pack-1", 2},{"science-pack-2", 1}}, time = 20},order = "c-g-a",},
    {type = "technology", name = "railway-2",
    icon = "__base__/graphics/technology/railway.png",
    effects = { { type = "unlock-recipe", recipe = "cargo-wagon" } },
    prerequisites = {"railway-1"},
    unit =  { count = 70,  ingredients ={{"science-pack-1", 2},{"science-pack-2", 1}}, time = 20},order = "c-g-a",},
    {type = "technology",  name = "railway-3",
    icon = "__base__/graphics/technology/railway.png",
    effects =  {{type = "unlock-recipe", recipe = "train-stop" }, { type = "unlock-recipe", recipe = "rail-signal"},
	{ type = "unlock-recipe", recipe = "rail-chain-signal" }}, 
	prerequisites = {"railway-2"},
    unit = {count = 150, ingredients = {{"science-pack-1", 2}, {"science-pack-2", 1}}, time = 30 }, order = "c-g-b",},
 
	

}
)